Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 497056 - vdr-plugin-2.eclass: remove base.eclass inherit
Summary: vdr-plugin-2.eclass: remove base.eclass inherit
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Eclasses (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo VDR Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 497022
  Show dependency tree
 
Reported: 2014-01-04 22:37 UTC by Chris Reffett (RETIRED)
Modified: 2014-02-02 12:25 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Reffett (RETIRED) gentoo-dev Security 2014-01-04 22:37:51 UTC
Your eclass inherits base.eclass. For several reasons, we at the QA team would like to remove base, and so we ask that you remove the inherit. See bug 497022 for notes on transitioning your eclass away from the base inherit and checking for problems that could crop up.
Comment 1 Joerg Bornkessel gentoo-dev 2014-01-22 13:36:23 UTC
on first look

ToDo:

write a propper function to replace base_src_unpack
Comment 2 Joerg Bornkessel gentoo-dev 2014-01-22 13:43:21 UTC
(In reply to Joerg Bornkessel from comment #1)
> on first look
> 
> ToDo:
> 
> write a propper function to replace base_src_unpack

check if PATCHES in ebuild works
Comment 3 Joerg Bornkessel gentoo-dev 2014-01-25 15:34:07 UTC
all done,

removed depends to base.eclass

for now i am added some debug lines, cleanup later

VDR_MAINTAINER_MODE=1
is tmp enabled by default, to get the debug output

vdr-plugin-2.eclass
includes still kommented content from base.eclass
will clean it up later

please keep this bug open during the next ~30 days
for user reply

a global user test will be done on the next media-video/vdr update (this needs then a rebuild of all installed plugins...)
Comment 4 Joerg Bornkessel gentoo-dev 2014-02-02 12:25:23 UTC
removed commented base.eclass parts
eclass debugleve =0

finaly, the changes are tested und fixed